Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network35.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
35.0.0.0
Broadcast address
35.127.255.255
First usable
35.0.0.1
Last usable
35.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 23000000 · Integer 587202560 to 595591167
Reverse DNS zones
0.35.in-addr.arpa
1.35.in-addr.arpa
2.35.in-addr.arpa
3.35.in-addr.arpa
4.35.in-addr.arpa
5.35.in-addr.arpa
6.35.in-addr.arpa
7.35.in-addr.arpa
8.35.in-addr.arpa
9.35.in-addr.arpa
10.35.in-addr.arpa
11.35.in-addr.arpa
12.35.in-addr.arpa
13.35.in-addr.arpa
14.35.in-addr.arpa
15.35.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100011.00000000.00000000.0000000035.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00100011.00000000.00000000.0000000035.0.0.0
Broadcast00100011.01111111.11111111.1111111135.127.255.255
Split into smaller subnets/15

35.0.0.0/9 makes 64 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
135.0.0.0/1535.0.0.1 to 35.1.255.25435.1.255.255131,070
235.2.0.0/1535.2.0.1 to 35.3.255.25435.3.255.255131,070
335.4.0.0/1535.4.0.1 to 35.5.255.25435.5.255.255131,070
435.6.0.0/1535.6.0.1 to 35.7.255.25435.7.255.255131,070
535.8.0.0/1535.8.0.1 to 35.9.255.25435.9.255.255131,070
635.10.0.0/1535.10.0.1 to 35.11.255.25435.11.255.255131,070
735.12.0.0/1535.12.0.1 to 35.13.255.25435.13.255.255131,070
835.14.0.0/1535.14.0.1 to 35.15.255.25435.15.255.255131,070
935.16.0.0/1535.16.0.1 to 35.17.255.25435.17.255.255131,070
1035.18.0.0/1535.18.0.1 to 35.19.255.25435.19.255.255131,070
1135.20.0.0/1535.20.0.1 to 35.21.255.25435.21.255.255131,070
1235.22.0.0/1535.22.0.1 to 35.23.255.25435.23.255.255131,070
1335.24.0.0/1535.24.0.1 to 35.25.255.25435.25.255.255131,070
1435.26.0.0/1535.26.0.1 to 35.27.255.25435.27.255.255131,070
1535.28.0.0/1535.28.0.1 to 35.29.255.25435.29.255.255131,070
1635.30.0.0/1535.30.0.1 to 35.31.255.25435.31.255.255131,070
1735.32.0.0/1535.32.0.1 to 35.33.255.25435.33.255.255131,070
1835.34.0.0/1535.34.0.1 to 35.35.255.25435.35.255.255131,070
1935.36.0.0/1535.36.0.1 to 35.37.255.25435.37.255.255131,070
2035.38.0.0/1535.38.0.1 to 35.39.255.25435.39.255.255131,070
2135.40.0.0/1535.40.0.1 to 35.41.255.25435.41.255.255131,070
2235.42.0.0/1535.42.0.1 to 35.43.255.25435.43.255.255131,070
2335.44.0.0/1535.44.0.1 to 35.45.255.25435.45.255.255131,070
2435.46.0.0/1535.46.0.1 to 35.47.255.25435.47.255.255131,070
2535.48.0.0/1535.48.0.1 to 35.49.255.25435.49.255.255131,070
2635.50.0.0/1535.50.0.1 to 35.51.255.25435.51.255.255131,070
2735.52.0.0/1535.52.0.1 to 35.53.255.25435.53.255.255131,070
2835.54.0.0/1535.54.0.1 to 35.55.255.25435.55.255.255131,070
2935.56.0.0/1535.56.0.1 to 35.57.255.25435.57.255.255131,070
3035.58.0.0/1535.58.0.1 to 35.59.255.25435.59.255.255131,070
3135.60.0.0/1535.60.0.1 to 35.61.255.25435.61.255.255131,070
3235.62.0.0/1535.62.0.1 to 35.63.255.25435.63.255.255131,070
3335.64.0.0/1535.64.0.1 to 35.65.255.25435.65.255.255131,070
3435.66.0.0/1535.66.0.1 to 35.67.255.25435.67.255.255131,070
3535.68.0.0/1535.68.0.1 to 35.69.255.25435.69.255.255131,070
3635.70.0.0/1535.70.0.1 to 35.71.255.25435.71.255.255131,070
3735.72.0.0/1535.72.0.1 to 35.73.255.25435.73.255.255131,070
3835.74.0.0/1535.74.0.1 to 35.75.255.25435.75.255.255131,070
3935.76.0.0/1535.76.0.1 to 35.77.255.25435.77.255.255131,070
4035.78.0.0/1535.78.0.1 to 35.79.255.25435.79.255.255131,070
4135.80.0.0/1535.80.0.1 to 35.81.255.25435.81.255.255131,070
4235.82.0.0/1535.82.0.1 to 35.83.255.25435.83.255.255131,070
4335.84.0.0/1535.84.0.1 to 35.85.255.25435.85.255.255131,070
4435.86.0.0/1535.86.0.1 to 35.87.255.25435.87.255.255131,070
4535.88.0.0/1535.88.0.1 to 35.89.255.25435.89.255.255131,070
4635.90.0.0/1535.90.0.1 to 35.91.255.25435.91.255.255131,070
4735.92.0.0/1535.92.0.1 to 35.93.255.25435.93.255.255131,070
4835.94.0.0/1535.94.0.1 to 35.95.255.25435.95.255.255131,070
4935.96.0.0/1535.96.0.1 to 35.97.255.25435.97.255.255131,070
5035.98.0.0/1535.98.0.1 to 35.99.255.25435.99.255.255131,070
5135.100.0.0/1535.100.0.1 to 35.101.255.25435.101.255.255131,070
5235.102.0.0/1535.102.0.1 to 35.103.255.25435.103.255.255131,070
5335.104.0.0/1535.104.0.1 to 35.105.255.25435.105.255.255131,070
5435.106.0.0/1535.106.0.1 to 35.107.255.25435.107.255.255131,070
5535.108.0.0/1535.108.0.1 to 35.109.255.25435.109.255.255131,070
5635.110.0.0/1535.110.0.1 to 35.111.255.25435.111.255.255131,070
5735.112.0.0/1535.112.0.1 to 35.113.255.25435.113.255.255131,070
5835.114.0.0/1535.114.0.1 to 35.115.255.25435.115.255.255131,070
5935.116.0.0/1535.116.0.1 to 35.117.255.25435.117.255.255131,070
6035.118.0.0/1535.118.0.1 to 35.119.255.25435.119.255.255131,070
6135.120.0.0/1535.120.0.1 to 35.121.255.25435.121.255.255131,070
6235.122.0.0/1535.122.0.1 to 35.123.255.25435.123.255.255131,070
6335.124.0.0/1535.124.0.1 to 35.125.255.25435.125.255.255131,070
6435.126.0.0/1535.126.0.1 to 35.127.255.25435.127.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses